global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
devsvc:
  replicas: 1
  image:
    registry:
    repository: freeleaps
    name: devsvc
    tag: 1.0.0
    imagePullPolicy: IfNotPresent
  ports:
    - name: http
      containerPort: 8007
      protocol: TCP
  resources:
    requests:
      cpu: "0.5"
      memory: "512Mi"
    limits:
      cpu: "1"
      memory: "1Gi"
  # FIXME: Wait until the developers implements the probes APIs
  probes: {}
  services:
    - name: devsvc-service
      type: ClusterIP
      port: 8007
      targetPort: 8007
  # Defaults to {}, which means doesn't have any ingress
  ingresses: {}
  configs:
    # TZ
    tz: "UTC"
    # APP_NAME
    appName: "devsvc"
    # SERVICE_API_ACCESS_HOST
    serviceApiAccessHost: "0.0.0.0"
    # SERVICE_API_ACCESS_PORT
    serviceApiAccessPort: "8013"
    # MONGODB_NAME
    mongodbName: ""
    # MONGODB_URI
    mongodbUri: ""
    # GITEA_TOKEN
    giteaToken: ""
    # GITEA_URL
    giteaUrl: ""
    # GITEA_DEPOT_ORGANIZATION
    giteaDepotOrganization: ""
    # CODE_DEPOT_HTTP_PORT
    codeDepotHttpPort: ""
    # CODE_DEPOT_SSH_PORT
    codeDepotSshPort: ""
    # CODE_DEPOT_DOMAIN_NAME
    codeDepotDomainName: ""